Package com.mapd.thrift.calciteserver

## Class TCompletionHint

- java.lang.Object
- - com.mapd.thrift.calciteserver.TCompletionHint

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCompletionHint>`, `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`, `org.apache.thrift.TSerializable`

    public class TCompletionHint
    extends Object
    implements org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>, Serializable, Cloneable, Comparable<TCompletionHint>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCompletionHint._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<String>` `hints`
`static Map<TCompletionHint._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `replaced`
`TCompletionHintType` `type`

### Constructor Summary

Constructors
`TCompletionHint()`
`TCompletionHint​(TCompletionHint other)` Performs a deep copy on other.
`TCompletionHint​(TCompletionHintType type, List<String> hints, String replaced)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToHints​(String elem)`
`void` `clear()`
`int` `compareTo​(TCompletionHint other)`
`TCompletionHint` `deepCopy()`
`boolean` `equals​(TCompletionHint that)`
`boolean` `equals​(Object that)`
`TCompletionHint._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TCompletionHint._Fields field)`
`List<String>` `getHints()`
`Iterator<String>` `getHintsIterator()`
`int` `getHintsSize()`
`String` `getReplaced()`
`TCompletionHintType` `getType()`
`int` `hashCode()`
`boolean` `isSet​(TCompletionHint._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetHints()` Returns true if field hints is set (has been assigned a value) and false otherwise
`boolean` `isSetReplaced()` Returns true if field replaced is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TCompletionHint._Fields field, Object value)`
`TCompletionHint` `setHints​(List<String> hints)`
`void` `setHintsIsSet​(boolean value)`
`TCompletionHint` `setReplaced​(String replaced)`
`void` `setReplacedIsSet​(boolean value)`
`TCompletionHint` `setType​(TCompletionHintType type)`
`void` `setTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetHints()`
`void` `unsetReplaced()`
`void` `unsetType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public TCompletionHintType type

See Also:
  `TCompletionHintType`

#### hints

    public List<String> hints

#### replaced

    public String replaced

#### metaDataMap

    public static final Map<TCompletionHint._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCompletionHint

    public TCompletionHint()

#### TCompletionHint

    public TCompletionHint​(TCompletionHintType type,
                           List<String> hints,
                           String replaced)

#### TCompletionHint

    public TCompletionHint​(TCompletionHint other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCompletionHint deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`

#### getType

    public TCompletionHintType getType()

See Also:
  `TCompletionHintType`

#### setType

    public TCompletionHint setType​(TCompletionHintType type)

See Also:
  `TCompletionHintType`

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet​(boolean value)

#### getHintsSize

    public int getHintsSize()

#### getHintsIterator

    public Iterator<String> getHintsIterator()

#### addToHints

    public void addToHints​(String elem)

#### getHints

    public List<String> getHints()

#### setHints

    public TCompletionHint setHints​(List<String> hints)

#### unsetHints

    public void unsetHints()

#### isSetHints

    public boolean isSetHints()

Returns true if field hints is set (has been assigned a value) and false otherwise

#### setHintsIsSet

    public void setHintsIsSet​(boolean value)

#### getReplaced

    public String getReplaced()

#### setReplaced

    public TCompletionHint setReplaced​(String replaced)

#### unsetReplaced

    public void unsetReplaced()

#### isSetReplaced

    public boolean isSetReplaced()

Returns true if field replaced is set (has been assigned a value) and false otherwise

#### setReplacedIsSet

    public void setReplacedIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCompletionHint._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCompletionHint._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`

#### isSet

    public boolean isSet​(TCompletionHint._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCompletionHint that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCompletionHint other)

Specified by:
  `compareTo` in interface `Comparable<TCompletionHint>`

#### fieldForId

    public TCompletionHint._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCompletionHint,​TCompletionHint._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`